# $Revision: 1.59.2.1 $, $Date: 2006/05/24 11:29:34 $
Summary:	gDesklets - an advanced architecture for desktop applets
Summary(pl):	gDesklets - zaawansowana architektura dla apletw
Name:		gDesklets
Version:	0.35
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://gdesklets.org/downloads/%{name}-%{version}.tar.bz2
# Source0-md5:	1ba952f54d74c3b31732d0188b48512f
Patch0:		%{name}-am.patch
Patch1:		%{name}-locale-names.patch
Patch2:		%{name}-disksize.patch
Patch3:		%{name}-plugin_registry.patch
URL:		http://gdesklets.gnomedesktop.org/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.2.0
BuildRequires:	intltool
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	libgtop-devel >= 2.14.0
BuildRequires:	librsvg-devel
BuildRequires:	libtool
BuildRequires:	python >= 1:2.3
BuildRequires:	python-gnome-devel >= 2.12.4
BuildRequires:	python-pygtk-devel >= 2.8.6
BuildRequires:	python-pyorbit-devel >= 2.14.0
BuildRequires:	rpmbuild(macros) >= 1.197
%pyrequires_eq	python
Requires(post,preun):	GConf2
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	shared-mime-info
Requires:	python-gnome >= 2.12.4
Requires:	python-gnome-bonobo >= 2.12.4
Requires:	python-gnome-bonobo-ui >= 2.12.4
Requires:	python-gnome-gconf >= 2.12.4
Requires:	python-gnome-gtkhtml >= 2.12.4
Requires:	python-gnome-ui >= 2.12.4
Requires:	python-pygtk-gtk >= 2.8.6
Requires:	python-pyorbit >= 2.14.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gDesklets provides an advanced architecture for desktop applets.

%description -l pl
gDesklets udostpnia zaawansowan architektur dla apletw.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .wiget
#%%patch2 -p1
%patch3 -p1

mv po/{no,nb}.po

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--disable-schemas-install
%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/gdesklets/{Sensors,Displays}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

%py_comp $RPM_BUILD_ROOT%{_datadir}/gdesklets
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/gdesklets

find $RPM_BUILD_ROOT%{_datadir}/gdesklets -name "*.py" -exec rm -f {} \;
find $RPM_BUILD_ROOT%{_libdir}/gdesklets -name "*.py" -exec rm -f {} \;
find $RPM_BUILD_ROOT%{_libdir}/gdesklets -name "*.la" -exec rm -f {} \;
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/{XMLnamespaces,globs,magic,application/*}
rm -f $RPM_BUILD_ROOT%{_desktopdir}/mimeinfo.cache

%find_lang gdesklets

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gdesklets-display-thumbnail.schemas
%update_desktop_database_post
umask 022
update-mime-database %{_datadir}/mime ||:

%preun
%gconf_schema_uninstall gdesklets-display-thumbnail.schemas

%postun
%update_desktop_database_postun
if [ $1 = 0 ]; then
	umask 022
	update-mime-database %{_datadir}/mime
fi

%files -f gdesklets.lang
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%attr(755,root,root) %{_bindir}/*
#%{_pkgconfigdir}/*.pc
%dir %{_libdir}/gdesklets
%{_libdir}/gdesklets/*.py[co]
%attr(755,root,root) %{_libdir}/gdesklets/gdesklets
%attr(755,root,root) %{_libdir}/gdesklets/gdesklets-daemon
%attr(755,root,root) %{_libdir}/gdesklets/gdesklets-logview
%attr(755,root,root) %{_libdir}/gdesklets/gdesklets-migration-tool
%attr(755,root,root) %{_libdir}/gdesklets/gdesklets-shell
%attr(755,root,root) %{_libdir}/gdesklets/ctrlinfo

%dir %{_libdir}/gdesklets/Controls
%{_libdir}/gdesklets/Controls/*.py[co]
%dir %{_libdir}/gdesklets/Controls/Calendar
%{_libdir}/gdesklets/Controls/Calendar/*.py[co]
%dir %{_libdir}/gdesklets/Controls/HDDTemp
%{_libdir}/gdesklets/Controls/HDDTemp/*.py[co]
%dir %{_libdir}/gdesklets/Controls/Sensors
%{_libdir}/gdesklets/Controls/Sensors/*.py[co]
%dir %{_libdir}/gdesklets/Controls/System
%{_libdir}/gdesklets/Controls/System/*.py[co]
%dir %{_libdir}/gdesklets/Controls/Time
%{_libdir}/gdesklets/Controls/Time/*.py[co]
%dir %{_libdir}/gdesklets/Controls/URI
%{_libdir}/gdesklets/Controls/URI/*.py[co]

%dir %{_libdir}/gdesklets/Sensors
%dir %{_libdir}/gdesklets/Sensors/External
%{_libdir}/gdesklets/Sensors/External/*.py[co]
%dir %{_libdir}/gdesklets/Sensors/FontSelector
%{_libdir}/gdesklets/Sensors/FontSelector/*.py[co]

%dir %{_libdir}/gdesklets/config
%{_libdir}/gdesklets/config/*.py[co]
%dir %{_libdir}/gdesklets/display
%{_libdir}/gdesklets/display/*.py[co]
%dir %{_libdir}/gdesklets/factory
%{_libdir}/gdesklets/factory/*.py[co]

%dir %{_libdir}/gdesklets/layout/
%{_libdir}/gdesklets/layout/*.py[co]

%dir %{_libdir}/gdesklets/libdesklets
%{_libdir}/gdesklets/libdesklets/*.py[co]
%dir %{_libdir}/gdesklets/libdesklets/controls
%{_libdir}/gdesklets/libdesklets/controls/*.py[co]
%dir %{_libdir}/gdesklets/libdesklets/system
%{_libdir}/gdesklets/libdesklets/system/*.py[co]
%attr(755,root,root) %{_libdir}/gdesklets/libdesklets/system/*.so
%dir %{_libdir}/gdesklets/libdesklets/system/FreeBSD
%{_libdir}/gdesklets/libdesklets/system/FreeBSD/*.py[co]
%dir %{_libdir}/gdesklets/libdesklets/system/Linux
%{_libdir}/gdesklets/libdesklets/system/Linux/*.py[co]
%dir %{_libdir}/gdesklets/libdesklets/system/NetBSD
%{_libdir}/gdesklets/libdesklets/system/NetBSD/*.py[co]
%dir %{_libdir}/gdesklets/libdesklets/system/OpenBSD
%{_libdir}/gdesklets/libdesklets/system/OpenBSD/*.py[co]

%dir %{_libdir}/gdesklets/main
%{_libdir}/gdesklets/main/*.py[co]
%dir %{_libdir}/gdesklets/plugin
%{_libdir}/gdesklets/plugin/*.py[co]
%dir %{_libdir}/gdesklets/scripting
%{_libdir}/gdesklets/scripting/*.py[co]
%dir %{_libdir}/gdesklets/sensor
%{_libdir}/gdesklets/sensor/*.py[co]
%dir %{_libdir}/gdesklets/shell
%{_libdir}/gdesklets/shell/*.py[co]
%dir %{_libdir}/gdesklets/shell/plugins
%dir %{_libdir}/gdesklets/shell/plugins/ControlBrowser
%{_libdir}/gdesklets/shell/plugins/ControlBrowser/*.py[co]
%{_libdir}/gdesklets/shell/plugins/ControlBrowser/*.png
%dir %{_libdir}/gdesklets/shell/plugins/ControlCollection
%{_libdir}/gdesklets/shell/plugins/ControlCollection/*.py[co]
%dir %{_libdir}/gdesklets/shell/plugins/ControlsView
%{_libdir}/gdesklets/shell/plugins/ControlsView/*.py[co]
%dir %{_libdir}/gdesklets/shell/plugins/DisplayBrowser
%{_libdir}/gdesklets/shell/plugins/DisplayBrowser/*.py[co]
%{_libdir}/gdesklets/shell/plugins/DisplayBrowser/*.png
%dir %{_libdir}/gdesklets/shell/plugins/DisplayCollection
%{_libdir}/gdesklets/shell/plugins/DisplayCollection/*.py[co]
%dir %{_libdir}/gdesklets/shell/plugins/DisplayView
%{_libdir}/gdesklets/shell/plugins/DisplayView/*.py[co]
%dir %{_libdir}/gdesklets/shell/plugins/Help
%{_libdir}/gdesklets/shell/plugins/Help/*.py[co]
%dir %{_libdir}/gdesklets/shell/plugins/Menu
%{_libdir}/gdesklets/shell/plugins/Menu/*.py[co]
%dir %{_libdir}/gdesklets/shell/plugins/PackageInstaller
%{_libdir}/gdesklets/shell/plugins/PackageInstaller/*.py[co]
%{_libdir}/gdesklets/shell/plugins/PackageInstaller/*.png
%dir %{_libdir}/gdesklets/shell/plugins/Profiles
%{_libdir}/gdesklets/shell/plugins/Profiles/*.py[co]
%dir %{_libdir}/gdesklets/shell/plugins/Shell
%{_libdir}/gdesklets/shell/plugins/Shell/*.py[co]
%dir %{_libdir}/gdesklets/shell/plugins/StatusBar
%{_libdir}/gdesklets/shell/plugins/StatusBar/*.py[co]
%dir %{_libdir}/gdesklets/shell/plugins/ViewSwitch
%{_libdir}/gdesklets/shell/plugins/ViewSwitch/*.py[co]
%dir %{_libdir}/gdesklets/shell/plugins/gDeskletsClient
%{_libdir}/gdesklets/shell/plugins/gDeskletsClient/*.py[co]

%dir %{_libdir}/gdesklets/utils
%{_libdir}/gdesklets/utils/*.py[co]
%attr(755,root,root) %{_libdir}/gdesklets/utils/*.so

%{_libdir}/gdesklets/data
%{_datadir}/mime/packages/*.xml
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_iconsdir}/gnome/48x48/mimetypes/*.png
%{_mandir}/man1/*
%{_sysconfdir}/gconf/schemas/*.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gDesklets.spec,v $
Revision 1.59.2.1  2006/05/24 11:29:34  baggins
- up to 0.35

Revision 1.62  2006/01/09 20:53:06  qboosh
- updated Source0 URL (but only newer version there)

Revision 1.61  2005/06/02 07:53:21  blues
- release 1 - works now

Revision 1.60  2005/06/02 07:32:28  blues
- 0.35 - builds, not working yet... anyway, applets are not working now...

Revision 1.59  2005/05/19 17:36:42  ankry
- rel. 1

Revision 1.58  2005/05/19 16:37:35  paladine
- new style macros

Revision 1.57  2005/05/15 00:16:36  ankry
- %post shouldn't fail if no rw permission to /usr

Revision 1.56  2005/04/26 19:14:37  wolvverine
- up to 0.34.3
- add BR and R

Revision 1.55  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.54  2005/02/21 11:09:45  wiget
- updated to 0.34

Revision 1.53  2005/02/13 20:51:28  grzegol
- removed useless files
- updated %%files
- rel. 0.2

Revision 1.52  2005/01/10 09:49:24  wiget
- updated to 0.33.1

Revision 1.51  2005/01/04 10:56:03  wiget
- fix .so perms
- swig isn't needed now

Revision 1.50  2005/01/04 09:31:06  qboosh
- .so perms, python epoch in BR, pyrequires_eq python (bytecode used)

Revision 1.49  2005/01/03 09:38:31  wiget
- updated to 0.33

Revision 1.48  2004/12/26 15:41:46  saq
- release 5 for rebuild with python 2.4

Revision 1.47  2004/11/27 18:52:06  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.46  2004/11/14 21:46:45  havner
- rel up for rebuild with python-pygtk

Revision 1.45  2004/09/17 00:30:47  havner
- rel 3 to rebuild with new gtop

Revision 1.44  2004/08/27 12:02:18  ankry
- %%post script should never fail, rel. 2

Revision 1.43  2004/08/25 21:19:55  grzegol
- updated to 0.30
- removed pygtk23 bcond and patch (not needed)
- added plugin_registry patch (fix registering plugins)

Revision 1.42  2004/08/13 20:05:29  krolik
- fixed disksize information by a patch
- rel. 5

Revision 1.41  2004/08/11 18:40:25  krolik
- rel. 4 because of broken dep in Ac (it builds)

Revision 1.40  2004/07/28 08:03:14  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.39  2004/07/23 22:20:07  grzegol
- (B)R: python-pygtk-gtk instead of python-pygtk
- rel. 3

Revision 1.38  2004/07/22 20:55:58  grzegol
- added pygtk23 bcond and patch (fixes for pygtk-2.3.x)
- rel. 2

Revision 1.37  2004/06/17 08:06:49  tommat
- added BR: gettext-devel

Revision 1.36  2004/05/13 19:17:49  ankry
- cosmetics

Revision 1.35  2004/05/06 07:23:50  aflinta
- up to version 0.26.2

Revision 1.34  2004/03/17 06:59:06  aflinta
- up to version 0.26.1

Revision 1.33  2004/02/23 10:34:26  grzegol
- added locale-names patch (changes locale no -> nb)
- regenerate libtool
- updated BRs

Revision 1.32  2004/02/23 09:55:43  aflinta
- up to version 0.26

Revision 1.31  2004/02/15 21:43:58  grzegol
- rel. 2 to rebuild with libgtop-2.5.1 (for nest)

Revision 1.30  2004/02/11 17:35:11  grzegol
- install-schemas patch is not needed

Revision 1.29  2004/02/11 17:30:35  grzegol
- updated to 0.25.1
- more BRs
- reenabled __autoconf - seems to work

Revision 1.28  2004/01/18 15:31:35  erjot
- Req: python-gnome-gtkhtml

Revision 1.27  2003/11/26 20:35:06  krzak
- R: python-gnome-bonobo-ui

Revision 1.26  2003/11/26 20:19:53  krzak
- R: python-gnome-bonobo

Revision 1.25  2003/11/16 23:08:38  krzak
- forgot disable %{__automake} that make this mackage unusable

Revision 1.24  2003/11/16 22:55:12  krzak
- up to 0.24.1
- am.patch that allow to build it

Revision 1.23  2003/11/07 20:17:59  krzak
- remove R: %{name}-display, %{name}-sensor as it is not necessary.

Revision 1.22  2003/11/07 19:11:42  krzak
- BR: rpm-pythonprov

Revision 1.21  2003/11/07 00:10:09  krzak
- install shemas with %gconf_schema_install
- rel 2

Revision 1.20  2003/10/27 22:06:21  krzak
- no more R,BR: python-modules

Revision 1.19  2003/10/27 21:17:12  krzak
- update lang files
- BR: , R: , python-modules

Revision 1.18  2003/10/25 19:14:12  averne
- updated to 0.23

Revision 1.17  2003/09/28 21:38:15  aflinta
- version 0.22.1

Revision 1.16  2003/09/17 23:07:05  krzak
- clean up

Revision 1.15  2003/09/17 22:56:50  krzak
- rel 3
- autoconf broke build, disabled

Revision 1.14  2003/09/12 20:26:53  grzegol
- updated to 0.21.2

Revision 1.13  2003/09/11 21:50:39  grzegol
- updated to 0.21.1

Revision 1.12  2003/09/10 17:51:40  grzegol
- updated to 0.21
- updated %%files

Revision 1.11  2003/09/01 09:52:21  qboosh
- use _iconsdir macro

Revision 1.10  2003/09/01 03:09:24  aflinta
- version 0.20

Revision 1.9  2003/08/25 00:36:39  grzegol
- added versions to Requires: python-gnome-*

Revision 1.8  2003/08/25 00:12:17  krzak
- R: python-gnome-gconf, python-gnome-ui

Revision 1.7  2003/08/24 21:37:17  grzegol
- updated to 0.13
- added R: -desplay and -sensor
- %%lang() for language specific files

Revision 1.6  2003/08/20 13:31:49  grzegol
- updated to 0.12.1

Revision 1.5  2003/08/17 20:03:46  grzegol
- updated to 0.12
- removed outdated locale patch

Revision 1.4  2003/08/12 19:16:54  grzegol
- updated to 0.11

Revision 1.3  2003/08/12 07:38:53  qboosh
- cosmetics in summaries

Revision 1.2  2003/08/11 16:36:26  grzegol
- compile .py files
- added Sensors and Displays dirs
- rel. 1.1

Revision 1.1  2003/08/11 15:39:13  grzegol
- new
